%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Term-ProgressBar


Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Term::ProgressBar - provide a progress meter on a standard terminal
Name:		perl-%{perlname}
Version:	2.09
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Term+ProgressBar
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} perl-Class-MethodMaker 
BuildRequires:	perl = %{perlepoch}:%{perlversion} perl-Class-MethodMaker

%description
Term::ProgressBar provides a simple progress bar on the 
terminal, to let the user know that something is happening, 
roughly how much stuff has been done, and maybe an estimate 
at how long remains.

A typical use sets up the progress bar with a number of 
items to do, and then calls update to update the bar 
whenever an item is processed.

Often, this would involve updating the progress bar many 
times with no user-visible change. To avoid uneccessary 
work, the update method returns a value, being the update 
value at which the user will next see a change. By only 
calling update when the current value exceeds the next 
update value, the call overhead is reduced.

Remember to call the $progress->update($max_value) when the 
job is done to get a nice 100% done bar.

A progress bar by default is simple; it just goes from 
left-to-right, filling the bar with '=' characters. These 
are called major characters. For long-running jobs, this 
may be too slow, so two additional features are available: 
a linear completion time estimator, and/or a minor character: 
this is a character that moves from left-to-right on the 
progress bar (it does not fill it as the major character does), 
traversing once for each major-character added. This exponentially 
increases the granularity of the bar for the same width.

For more details see: http://search.cpan.org/search?module=Term+ProgressBar

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.09-2
- Rebuild against perl 5.10.0
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.09-1
- Initial Release
